Bug 19907 - REGRESSION(r34824-r34941): Reproducible crash trying to log in to MediaTemple.net Account Center
Summary: REGRESSION(r34824-r34941): Reproducible crash trying to log in to MediaTemple...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore JavaScript (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P1 Major
Assignee: Cameron Zwarich (cpst)
URL: https://ac.mediatemple.net/login.mt?r...
Keywords: InRadar, Regression
: 19953 (view as bug list)
Depends on:
Blocks:
 
Reported: 2008-07-05 20:16 PDT by Craig W. Cadwallader
Modified: 2019-10-07 09:51 PDT (History)
4 users (show)

See Also:


Attachments
A copy of html code of page that crashes WebKit when loading (17.60 KB, text/html)
2008-07-06 02:37 PDT, Craig W. Cadwallader
no flags Details
Crash report for WebKit r35024 - same issue with newer build (29.31 KB, text/plain)
2008-07-06 02:38 PDT, Craig W. Cadwallader
no flags Details
Crash report for WebKit r34944 - appears to be same problem (29.31 KB, text/plain)
2008-07-06 02:55 PDT, Craig W. Cadwallader
no flags Details
WebKit r34941 crash report - apparently the same problem as r34944 & r35024 (29.34 KB, text/plain)
2008-07-06 09:29 PDT, Craig W. Cadwallader
no flags Details
WebKit r35024 crash with third-party add-ins removed (26.90 KB, text/plain)
2008-07-06 11:00 PDT, Craig W. Cadwallader
no flags Details
WebKit r34941 crash without third-party add-ins (27.27 KB, text/plain)
2008-07-06 11:49 PDT, Craig W. Cadwallader
no flags Details
WebKit r34944 crash report without third-party add-ins (27.27 KB, text/plain)
2008-07-06 13:23 PDT, Craig W. Cadwallader
no flags Details
WebKit r35021 crash report without third-party add-ins (27.49 KB, text/plain)
2008-07-06 13:24 PDT, Craig W. Cadwallader
no flags Details
WebKit r35024 crash report without third-party add-ins (26.90 KB, text/plain)
2008-07-06 13:25 PDT, Craig W. Cadwallader
no flags Details
Proposed patch (2.08 KB, patch)
2008-07-07 15:25 PDT, Cameron Zwarich (cpst)
ggaren: review-
Details | Formatted Diff | Diff
Revised proposed patch (4.97 KB, patch)
2008-07-07 16:21 PDT, Cameron Zwarich (cpst)
ggaren: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Craig W. Cadwallader 2008-07-05 20:16:03 PDT
WebKit r35021 (and earlier versions) crashes repeatedly when trying to log in to my mediatemple.net hosting account as the first page loads when logging in (https://ac.mediatemple.net/home.mt). This does not happen with Safari Version 3.1.2 (5525.20.1). This crash reproduces every time I attempt to log into my account.

Crash report shows the following:

Process:         Safari [2382]
Path:            /Applications/WebKit.app/Contents/MacOS/WebKit
Identifier:      org.webkit.nightly.WebKit
Version:         r35021 (35021)
Code Type:       PPC (Native)
Parent Process:  launchd [107]

Date/Time:       2008-07-05 19:38:15.774 -0700
OS Version:      Mac OS X 10.5.4 (9E17)
Report Version:  6

Exception Type:  EXC_BAD_ACCESS (SIGBUS)
Exception Codes: KERN_PROTECTION_FAILURE at 0x0000000000000000
Crashed Thread:  0

Thread 0 Crashed:
0   com.apple.WebCore             	0x012ea280 KJS::Bindings::convertValueToNPVariant(KJS::ExecState*, KJS::JSValue*, _NPVariant*) + 80
1   com.apple.WebCore             	0x012f62a0 _NPN_Invoke + 592
2   ...romedia.Flash Player.plugin	0x098551fc Flash_EnforceLocalSecurity + 588796
3   ...romedia.Flash Player.plugin	0x0985c238 Flash_EnforceLocalSecurity + 617528
4   ...romedia.Flash Player.plugin	0x097c5898 Flash_EnforceLocalSecurity + 664
5   com.apple.WebKit              	0x00194384 -[WebBaseNetscapePluginView sendEvent:isDrawRect:] + 308
6   com.apple.WebKit              	0x00215cc0 WebNetscapePluginEventHandlerCarbon::sendEvent(EventRecord*) + 112
7   com.apple.WebKit              	0x00215d70 WebNetscapePluginEventHandlerCarbon::sendNullEvent() + 128
8   com.apple.CoreFoundation      	0x96f589ec CFRunLoopRunSpecific + 2968
9   com.apple.HIToolbox           	0x913e772c RunCurrentEventLoopInMode + 264
10  com.apple.HIToolbox           	0x913e7550 ReceiveNextEventCommon + 412
11  com.apple.HIToolbox           	0x913e7390 BlockUntilNextEventMatchingListInMode + 84
12  com.apple.AppKit              	0x9564d058 _DPSNextEvent + 596
13  com.apple.AppKit              	0x9564ca10 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 112
14  com.apple.Safari              	0x0000878c 0x1000 + 30604
15  com.apple.AppKit              	0x956466cc -[NSApplication run] + 736
16  com.apple.AppKit              	0x956170d0 NSApplicationMain + 440
17  com.apple.Safari              	0x000bdd30 0x1000 + 773424

Thread 1:
0   libSystem.B.dylib             	0x90c13e4c __semwait_signal + 12
1   libSystem.B.dylib             	0x90c50a00 _pthread_cond_wait + 1580
2   com.apple.WebCore             	0x00eef77c WebCore::IconDatabase::syncThreadMainLoop() + 316
3   com.apple.WebCore             	0x00eef964 WebCore::IconDatabase::iconDatabaseSyncThread() + 420
4   libSystem.B.dylib             	0x90c4f658 _pthread_start + 316

Thread 2:
0   libSystem.B.dylib             	0x90c0d438 mach_msg_trap + 8
1   libSystem.B.dylib             	0x90c1435c mach_msg + 56
2   com.apple.CoreFoundation      	0x96f58568 CFRunLoopRunSpecific + 1812
3   com.apple.CFNetwork           	0x9685f988 CFURLCacheWorkerThread(void*) + 292
4   libSystem.B.dylib             	0x90c4f658 _pthread_start + 316

Thread 3:
0   libSystem.B.dylib             	0x90c0d438 mach_msg_trap + 8
1   libSystem.B.dylib             	0x90c1435c mach_msg + 56
2   com.apple.CoreFoundation      	0x96f58568 CFRunLoopRunSpecific + 1812
3   com.apple.Foundation          	0x90f25c6c +[NSURLConnection(NSURLConnectionReallyInternal) _resourceLoadLoop:] + 280
4   com.apple.Foundation          	0x90ecedec __NSThread__main__ + 1004
5   libSystem.B.dylib             	0x90c4f658 _pthread_start + 316

Thread 4:
0   libSystem.B.dylib             	0x90c71ae4 select$DARWIN_EXTSN + 12
1   com.apple.CoreFoundation      	0x96f639b0 __CFSocketManager + 764

Thread 5:
0   libSystem.B.dylib             	0x90c0d438 mach_msg_trap + 8
1   libSystem.B.dylib             	0x90c1435c mach_msg + 56
2   com.apple.CoreFoundation      	0x96f58568 CFRunLoopRunSpecific + 1812
3   com.apple.Foundation          	0x90efca44 -[NSRunLoop(NSRunLoop) runMode:beforeDate:] + 168
4   com.apple.Foundation          	0x90f07338 -[NSRunLoop(NSRunLoop) run] + 72
5   com.apple.Safari              	0x0005eba8 0x1000 + 383912
6   com.apple.Foundation          	0x90ecedec __NSThread__main__ + 1004
7   libSystem.B.dylib             	0x90c4f658 _pthread_start + 316

Thread 6:
0   libSystem.B.dylib             	0x90c0d438 mach_msg_trap + 8
1   libSystem.B.dylib             	0x90c1435c mach_msg + 56
2   ...romedia.Flash Player.plugin	0x0998c6ec Flash_EnforceLocalSecurity + 1863916
3   libSystem.B.dylib             	0x90c4f658 _pthread_start + 316

Thread 7:
0   libSystem.B.dylib             	0x90c0d498 semaphore_wait_signal_trap + 8
1   libSystem.B.dylib             	0x90c5090c _pthread_cond_wait + 1336
2   ...romedia.Flash Player.plugin	0x097d0bf4 Flash_EnforceLocalSecurity + 46580
3   ...romedia.Flash Player.plugin	0x097b630c 0x9500000 + 2843404
4   libSystem.B.dylib             	0x90c4f658 _pthread_start + 316

Thread 8:
0   libSystem.B.dylib             	0x90c0d498 semaphore_wait_signal_trap + 8
1   libSystem.B.dylib             	0x90c5090c _pthread_cond_wait + 1336
2   ...romedia.Flash Player.plugin	0x097d0bf4 Flash_EnforceLocalSecurity + 46580
3   ...romedia.Flash Player.plugin	0x097b630c 0x9500000 + 2843404
4   libSystem.B.dylib             	0x90c4f658 _pthread_start + 316

Thread 0 crashed with PPC Thread State 32:
  srr0: 0x012ea280  srr1: 0x0000f030   dar: 0x00000000 dsisr: 0x40000000
    r0: 0x012f62a4    r1: 0xbfffdb50    r2: 0x00000000    r3: 0x08aa5480
    r4: 0x00000000    r5: 0xbfffdd3c    r6: 0x08d79280    r7: 0x00000004
    r8: 0x00000003    r9: 0x00703f80   r10: 0x0000000e   r11: 0x00704d80
   r12: 0x0030be20   r13: 0xbfffdfdc   r14: 0xbfffdf80   r15: 0xbfffdf6c
   r16: 0x00000000   r17: 0xbfffdfa0   r18: 0x09c6a1c0   r19: 0x00000000
   r20: 0xbfffdc18   r21: 0xbfffdc2c   r22: 0x00000002   r23: 0x08aa5480
   r24: 0x08f2eab8   r25: 0x08aa5480   r26: 0xbfffdd3c   r27: 0x00000000
   r28: 0x00000000   r29: 0x24042418   r30: 0x00000000   r31: 0x012ea240
    cr: 0x24042418   xer: 0x00000000    lr: 0x012ea240   ctr: 0x0030be20
vrsave: 0x00000000

Binary Images:
    0x1000 -   0x13dfff  com.apple.Safari 3.1.2 (5525.20.1) <17f263c76ef2d5167ef6d7067261d2f5> /Applications/Safari.app/Contents/MacOS/Safari
  0x182000 -   0x183fff +WebKitNightlyEnabler.dylib ??? (???) /Applications/WebKit.app/Contents/Resources/WebKitNightlyEnabler.dylib
  0x187000 -   0x257ff7  com.apple.WebKit r35021 (527+) /Applications/WebKit.app/Contents/Frameworks/10.5/WebKit.framework/Versions/A/WebKit
  0x2ea000 -   0x2f9ffc  SyndicationUI ??? (???) <fc04edfeb23291b9da72e772514e418f> /System/Library/PrivateFrameworks/SyndicationUI.framework/Versions/A/SyndicationUI
  0x309000 -   0x403fff  com.apple.JavaScriptCore 527+ (527+) /Applications/WebKit.app/Contents/Frameworks/10.5/JavaScriptCore.framework/Versions/A/JavaScriptCore
  0xc93000 -  0x14a7ff1  com.apple.WebCore 527+ (527+) /Applications/WebKit.app/Contents/Frameworks/10.5/WebCore.framework/Versions/A/WebCore
 0x1b2e000 -  0x1c27ff3  com.apple.RawCamera.bundle 2.0.7 (2.0.7) /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
 0x3509000 -  0x350ffff  libCGXCoreImage.A.dylib ??? (???) <bb2346afd701b85815a4f2d31101c239> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXCoreImage.A.dylib
 0x363d000 -  0x363dffc +com.yousoftware.youhelper 1.0.2 (1.0.2) <a63d8c1268092590fa38f7c9083a8c25> /Users/primal1/Library/ScriptingAdditions/YouHelper.osax/Contents/MacOS/YouHelper
 0x3692000 -  0x3695ff7 +Adobe Unit Types a2.0.0 (2.0.0) /Library/ScriptingAdditions/Adobe Unit Types.osax/Contents/MacOS/Adobe Unit Types
 0x3698000 -  0x369dfff +com.stclairsoft.DefaultFolderX.osax Default Folder X Addition version 1.0 (kBundleVersion) <5c1e0a49347231426f1b56ee5a62eddc> /Users/primal1/Library/ScriptingAdditions/Default Folder X Addition.osax/Contents/MacOS/Default Folder X Addition
 0x36a2000 -  0x36a5ffe +com.unmarked.textsoap.osax Version 5.7.2 (5.7.2) <9a86c16684877dddae825b6d3b7002f9> /Users/primal1/Library/ScriptingAdditions/textsoapSA.osax/Contents/MacOS/textsoapSA
 0x76da000 -  0x76dbfe3 +URIEscapeOSAX ??? (1.1.2) /Users/primal1/Library/ScriptingAdditions/URI Escape.osax/Contents/MacOS/URI Escape
 0x84c5000 -  0x853efff +com.satimage.Numerics Numerics 1.0.1 (1.0.1) /Library/ScriptingAdditions/Numerics.osax/Contents/MacOS/Numerics
 0x8569000 -  0x85bbffb +com.satimage.Satimage Satimage 3.0.5 (3.0.5) /Library/ScriptingAdditions/Satimage.osax/Contents/MacOS/Satimage
 0x85e0000 -  0x86fbffb +com.satimage.XMLLib XMLLib 2.7 (2.7) /Library/ScriptingAdditions/XMLLib.osax/Contents/MacOS/XMLLib
 0x874f000 -  0x8777ffb +SmartWrap Scripting Addition X ??? (2.6) /Users/primal1/Library/ScriptingAdditions/SmartWrap Scripting Addition X.osax/Contents/MacOS/SmartWrap Scripting Addition X
 0x8788000 -  0x87a9ff1  libmx.A.dylib ??? (???) /usr/lib/libmx.A.dylib
 0x87f9000 -  0x87faffc  com.apple.JavaPluginCocoa 12.0.0 (12.0.0) <0118f511530fa8d4fa6a0ee7ed9ca6f9> /Library/Internet Plug-Ins/JavaPluginCocoa.bundle/Contents/MacOS/JavaPluginCocoa
 0x8809000 -  0x8810fff  com.apple.JavaVM 12.0.2 (12.0.2) <7a7d795d9c93b302a8a2b838bcb6a914> /System/Library/Frameworks/JavaVM.framework/Versions/A/JavaVM
 0x8cff000 -  0x8d22ffb +com.stclairsoft.DefaultFolderX.CarbonPatcher kBundleVersion (kBundleVersion) <9ee68f1309033d61899ca54a5b1ac304> /Library/PreferencePanes/Default Folder X.prefPane/Contents/Resources/Default Folder X.bundle/Contents/Resources/Carbon Patcher.bundle/Contents/MacOS/Carbon Patcher
 0x8d38000 -  0x8d56fff +Cocoa Patcher ??? (???) <f9fbc79092a39381545f9f5769eb815a> /Library/PreferencePanes/Default Folder X.prefPane/Contents/Resources/Default Folder X.bundle/Contents/Resources/Cocoa Patcher.bundle/Contents/MacOS/Cocoa Patcher
 0x93d3000 -  0x93eeff9  com.apple.audio.CoreAudioKit 1.5 (1.5) <b7e5287b5d5cdda58e147a6ffa19667e> /System/Library/Frameworks/CoreAudioKit.framework/Versions/A/CoreAudioKit
 0x9500000 -  0x9afefe7 +com.macromedia.Flash Player.plugin 10.0.0.525 (1.0.4f22) <c6e88d4201f4438aaaaf75a48733a850> /Library/Internet Plug-Ins/Flash Player.plugin/Contents/MacOS/Flash Player
 0xad1a000 -  0xae18ff7 +com.ioxperts.vdig.webcam 1.1 (1.1) /Library/Components/IOXperts Webcam.component/Contents/MacOS/IOXperts Webcam
 0xaebf000 -  0xaf27fdf +com.DivXInc.DivXDecoder 6.2.5 (6.2.5) /Library/QuickTime/DivX Decoder.component/Contents/MacOS/DivX Decoder
0x8fe00000 - 0x8fe30b23  dyld 96.2 (???) <39109181acbf30fed542e6c9abcf1798> /usr/lib/dyld
0x90003000 - 0x90097ff7  com.apple.framework.IOKit 1.5.1 (???) <c1d6fa5eb7372b90ca4fea8910170152> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x90098000 - 0x900b1ffb  com.apple.CoreVideo 1.5.1 (1.5.1) <9b726d9ba75efbaccaed1d34e2f71ea0> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x900b2000 - 0x900e3fff  com.apple.coreui 1.1 (61) /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
0x900e4000 - 0x90519ffa  libGLProgrammability.dylib ??? (???) <f032e07d587794af4d4ba1b7dc7b4fd2> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
0x9051a000 - 0x9053aff7  libJPEG.dylib ??? (???) <92341083256fbcd28888a179ebf941ef> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x9053b000 - 0x90546ffb  libgcc_s.1.dylib ??? (???) <ea47fd375407f162c76d14d64ba246cd> /usr/lib/libgcc_s.1.dylib
0x90547000 - 0x9059dfff  libGLU.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x9059e000 - 0x90638ffb  com.apple.ApplicationServices.ATS 3.3 (???) <5c97f539ba68e1143929cd89db390d20> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x90639000 - 0x90688ff7  libGLImage.dylib ??? (???) <dba44404ea3684df4f23df5e8e5430c3> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x90694000 - 0x90c0bfff  com.apple.CoreGraphics 1.351.31 (???) <1d6f8c59da420b7b6105cf0f0dcc8f8e> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x90c0c000 - 0x90da5fe3  libSystem.B.dylib ??? (???) <787ea59c19201d04a507b13d2bb3f9ac> /usr/lib/libSystem.B.dylib
0x90da6000 - 0x90ec4ff7  com.apple.audio.toolbox.AudioToolbox 1.5.1 (1.5.1) /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x90ec5000 - 0x9110affb  com.apple.Foundation 6.5.5 (677.19) <1667218c075b6e69728c5c2dd9ff6065> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x9110b000 - 0x91149ff7  libtidy.A.dylib ??? (???) <aec2c15110f29e8461160b4fa0a1fbbe> /usr/lib/libtidy.A.dylib
0x9114a000 - 0x91173ffb  com.apple.shortcut 1 (1.0) <032016a45147a2f3f191ce70187587c9> /System/Library/PrivateFrameworks/Shortcut.framework/Versions/A/Shortcut
0x91174000 - 0x91243fff  com.apple.ColorSync 4.5.0 (4.5.0) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x91244000 - 0x91327feb  libobjc.A.dylib ??? (???) <23a407d7dac6090562827e97bac3cb86> /usr/lib/libobjc.A.dylib
0x91344000 - 0x91379ffb  com.apple.LDAPFramework 1.4.3 (106) <d9a3a16b2d468683b68f714d11196d7b> /System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
0x9137a000 - 0x91399fff  libresolv.9.dylib ??? (???) <181fb3defd2942f00201507cfa4efdb5> /usr/lib/libresolv.9.dylib
0x913b6000 - 0x916effeb  com.apple.HIToolbox 1.5.3 (???) <1f08f0263f6037c253e6cfbe69cfc5a0> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x916f0000 - 0x916f7ffb  com.apple.print.framework.Print 218.0.2 (220.1) <c7e0e618d5867ae227403ae385aacd82> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x916f8000 - 0x9177dfff  libsqlite3.0.dylib ??? (???) <f2a33fe2663eab9c7f4806d2cf05b4ee> /usr/lib/libsqlite3.0.dylib
0x9177e000 - 0x9182efff  com.apple.QD 3.11.52 (???) <f33191c288897dd4d2e2c4b87bcc09b4> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x91a8d000 - 0x91a95ffb  libCGATS.A.dylib ??? (???) <f08869e380cd4b55e14714fe723cbc66> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x91a96000 - 0x91ab5fff  com.apple.Accelerate.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x91d2f000 - 0x91db6ffb  com.apple.audio.CoreAudio 3.1.0 (3.1) <880a5a35ef1c5158271ee4b305b35626> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x91db7000 - 0x91e02ffb  com.apple.Metadata 10.5.2 (398.18) <787e741e6b0c0b59f9b9c42a016672cb> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x91e03000 - 0x91e68ffb  com.apple.ISSupport 1.7 (38) /System/Library/PrivateFrameworks/ISSupport.framework/Versions/A/ISSupport
0x91e69000 - 0x91ea2fff  com.apple.SystemConfiguration 1.9.2 (1.9.2) <1a39075165bf7447fe8be1e93db49346> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x91ea3000 - 0x91ea5fff  com.apple.CrashReporterSupport 10.5.0 (156) <906c8d99acdeb122551a99cd930bf32f> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
0x91ea6000 - 0x92204ff2  com.apple.QuartzCore 1.5.3 (1.5.3) <c410b1f89e67d41c3d06eac1790b500c> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x92205000 - 0x92246ffb  libTIFF.dylib ??? (???) <0d0a3107d26786c3708e6a511d5acec9> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x92247000 - 0x92254fff  libCSync.A.dylib ??? (???) <c42bb98d8afc1f2f8ff764d6553dd670> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x9225b000 - 0x92298ffe  com.apple.securityfoundation 3.0 (32989) <ad2dd4c797fa2ba4c656f82936f9fb83> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
0x92299000 - 0x922b4ffb  com.apple.openscripting 1.2.6 (???) <12270fbb14905644f78975f227328a98> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x922b5000 - 0x9237affb  com.apple.CoreData 100.1 (186) <9cf54cb19b18e53ee22edb7ababa6e6c> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x923be000 - 0x92405fff  com.apple.NavigationServices 3.5.2 (163) <cb063c95a55ba12994a64c7e47f5706a> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x92406000 - 0x92406fff  com.apple.Carbon 136 (136) <6a6a209ec9179368db7ead8382b8ee63> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x92407000 - 0x9242dfff  libcups.2.dylib ??? (???) <faed280b72f625b591ae0506cb142367> /usr/lib/libcups.2.dylib
0x9242e000 - 0x9242effa  com.apple.CoreServices 32 (32) <42b6dda539f7411606187335d9eae0c5> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x92544000 - 0x9255bffb  com.apple.ImageCapture 4.0 (5.0.0) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x9255c000 - 0x9266afff  com.apple.PubSub 1.0.3 (65.1.1) /System/Library/Frameworks/PubSub.framework/Versions/A/PubSub
0x9266b000 - 0x926faffb  com.apple.DesktopServices 1.4.6 (1.4.6) <58211b14d8d8dd52cb249711dc42c52d> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x926ff000 - 0x9270bff3  com.apple.audio.SoundManager 3.9.2 (3.9.2) <79588842bcaf6c747a95b2120304397a> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x92757000 - 0x9289fffb  libicucore.A.dylib ??? (???) <dd2fd169aa328f6e97a1d700e5846866> /usr/lib/libicucore.A.dylib
0x928a0000 - 0x928a4ffe  libGIF.dylib ??? (???) <d6e2a570359313a39c6783c2ecfee608> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x928d8000 - 0x928e1fff  com.apple.DiskArbitration 2.2.1 (2.2.1) <a389b4c2badce39540f24402f7df35e7> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x928e2000 - 0x9295dfff  com.apple.SearchKit 1.2.0 (1.2.0) <1b448fbae02460eae76ee1c6883f45d6> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x9295e000 - 0x929c5ffb  libstdc++.6.dylib ??? (???) <a4e9b10268b3ffac26d0296499b24e8e> /usr/lib/libstdc++.6.dylib
0x929c6000 - 0x929c7fff  libffi.dylib ??? (???) <11b77dbce4aa0f0b66d40014230abd1d> /usr/lib/libffi.dylib
0x929c8000 - 0x929d8fff  libsasl2.2.dylib ??? (???) <18935d5e775962f4728b91189b092d45> /usr/lib/libsasl2.2.dylib
0x929d9000 - 0x929e7fff  libz.1.dylib ??? (???) <1a70dd3594a8c5ad39d785af5da23237> /usr/lib/libz.1.dylib
0x929e8000 - 0x92a25fff  libRIP.A.dylib ??? (???) <7e5e8a6305111535e1297a342761ba27> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x92a26000 - 0x92ab0fff  libvMisc.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x92ab1000 - 0x92ab1fff  com.apple.audio.units.AudioUnit 1.5 (1.5) /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x92ab2000 - 0x92ab5fff  com.apple.help 1.1 (36) <7106d6e074a3b9835ebf1e6cc6c822ce> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x92ab6000 - 0x92aceffb  com.apple.DictionaryServices 1.0.0 (1.0.0) <fe37191e732eeb66189185cd000a210b> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
0x92acf000 - 0x92b68fc3  libvDSP.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x92b69000 - 0x92e92fe7  libLAPACK.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x92e93000 - 0x92ea2fff  com.apple.DSObjCWrappers.Framework 1.2.1 (1.2.1) <651e2b4d7e19d43f520829f76216f2c2> /System/Library/PrivateFrameworks/DSObjCWrappers.framework/Versions/A/DSObjCWrappers
0x92ea3000 - 0x92f03fff  com.apple.CoreText 2.0.2 (???) <e5940fddbca517f29b8865c9b02ddff0> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x92fd3000 - 0x93074ff7  com.apple.QuickTimeImporters.component 7.5 (861) /System/Library/QuickTime/QuickTimeImporters.component/Contents/MacOS/QuickTimeImporters
0x93075000 - 0x9307cfff  com.apple.CommonPanels 1.2.4 (85) <0d1256175c5512c911ede094d767acfe> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x9307d000 - 0x9337effb  com.apple.CoreServices.CarbonCore 786.4 (786.4) <07a9bff6abb5dabf362dd2f14d016d36> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x9337f000 - 0x9418cfef  com.apple.QuickTimeComponents.component 7.5 (861) /System/Library/QuickTime/QuickTimeComponents.component/Contents/MacOS/QuickTimeComponents
0x942b2000 - 0x94314ffb  com.apple.htmlrendering 68 (1.1.3) <e852db1c007de975fae2f0c2769c88ef> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x943d8000 - 0x943fffff  libxslt.1.dylib ??? (???) <3700d04090629deddb436aa2d516c56d> /usr/lib/libxslt.1.dylib
0x94400000 - 0x94402ffd  libRadiance.dylib ??? (???) <3d70fcb7557347829c96c9753074b3f1> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x94404000 - 0x944b4fff  edu.mit.Kerberos 6.0.12 (6.0.12) <5cf1a9c1d7e526bb9b084013a1722d08> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
0x944b5000 - 0x944c8ffb  com.apple.speech.synthesis.framework 3.7.1 (3.7.1) <dc8dac074f4d19175c5613b35aa529b3> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x944c9000 - 0x944d1fff  libbsm.dylib ??? (???) <c1fca3cbe3b1c21e9b31bc89b920f34c> /usr/lib/libbsm.dylib
0x944d2000 - 0x944d3ff8  com.apple.ApplicationServices 34 (34) <6aa5ee485bb2e656531b3505932b845f> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x94501000 - 0x94589fff  com.apple.ink.framework 101.3 (86) <66a99ad6bc695390a66dd24789e23dcc> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x9458a000 - 0x9458aff8  com.apple.Cocoa 6.5 (???) <e9a4f1c636d00893db0494c4040176ba> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x9458b000 - 0x9460cfff  com.apple.print.framework.PrintCore 5.5.3 (245.3) <032f772f8169945c1d1b524d96edcef6> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x9460d000 - 0x94bc7fff  libBLAS.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x94bf1000 - 0x94c0cffb  libPng.dylib ??? (???) <a0a5ce98fa9fe98fe190c99a3dbbdfa0> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x95321000 - 0x953dbfff  libcrypto.0.9.7.dylib ??? (???) <4ea3d7e9a1c28ac7b17ed80873fe6598> /usr/lib/libcrypto.0.9.7.dylib
0x953dc000 - 0x953e1ff6  libmathCommon.A.dylib ??? (???) /usr/lib/system/libmathCommon.A.dylib
0x953e2000 - 0x95478fff  com.apple.LaunchServices 289.2 (289.2) <67191ba4de2d3d14be9b4bbddd4fe0a6> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x95479000 - 0x955e5ff9  com.apple.AddressBook.framework 4.1.1 (695) <c2da7479f17eecd7a1efd7250afb0aef> /System/Library/Frameworks/AddressBook.framework/Versions/A/AddressBook
0x955e6000 - 0x95610ff7  libssl.0.9.7.dylib ??? (???) <5dac2e94552ad76696c35bd6886f5a92> /usr/lib/libssl.0.9.7.dylib
0x95611000 - 0x95d86fff  com.apple.AppKit 6.5.3 (949.33) <1144a07dd55895f89e44adf80cc151d9> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x95d87000 - 0x95de3ffb  com.apple.HIServices 1.7.0 (???) <48d200891cc9dd795ee547d526c6a45b> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x95de4000 - 0x95f2effb  com.apple.ImageIO.framework 2.0.2 (2.0.2) <20c50c4b4d09a4cf69fb8732e3d79081> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x95f2f000 - 0x95f3cffb  com.apple.opengl 1.5.6 (1.5.6) <9f2c6a226837dae46ced8b28e195210c> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x95f82000 - 0x95fa6ffb  libGL.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x96075000 - 0x9615efff  libxml2.2.dylib ??? (???) <6bf1a24e68615e0edf843988f5a0a1f4> /usr/lib/libxml2.2.dylib
0x9615f000 - 0x9617efff  com.apple.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0x9617f000 - 0x96185ffb  com.apple.backup.framework 1.0 (1.0) /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
0x96186000 - 0x9629affa  com.apple.vImage 3.0 (3.0) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x962ab000 - 0x962befff  com.apple.LangAnalysis 1.6.4 (1.6.4) <f12db38b92cbf96b024206698434d14d> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x962bf000 - 0x962cfffb  com.apple.agl 3.0.9 (AGL-3.0.9) <ab2f91cfb4e503d2516df44852c35e81> /System/Library/Frameworks/AGL.framework/Versions/A/AGL
0x962d0000 - 0x962d0fff  com.apple.Accelerate 1.4.2 (Accelerate 1.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x966ae000 - 0x966b1ffb  com.apple.securityhi 3.0 (30817) <e50c0cac9048f8923b95797753d50b5c> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x967a3000 - 0x967aefff  com.apple.speech.recognition.framework 3.7.24 (3.7.24) <ae3dc890a43a9269388301f6b59d3091> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x967af000 - 0x967e4fff  com.apple.AE 402.2 (402.2) <0b15a08da8ec38b74fb9dd6e579ed25f> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x967e5000 - 0x96800ff3  com.apple.DirectoryService.Framework 3.5.4 (3.5.4) <d69161954145cf745b51ae31e0961077> /System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService
0x96801000 - 0x96847ff9  com.apple.securityinterface 3.0 (32532) <82a438eff282dd1dc1f803dfd91b5f38> /System/Library/Frameworks/SecurityInterface.framework/Versions/A/SecurityInterface
0x96848000 - 0x96848ffb  com.apple.installserver.framework 1.0 (8) /System/Library/PrivateFrameworks/InstallServer.framework/Versions/A/InstallServer
0x96849000 - 0x96854ff9  com.apple.helpdata 1.0 (14) /System/Library/PrivateFrameworks/HelpData.framework/Versions/A/HelpData
0x96855000 - 0x968d9ffd  com.apple.CFNetwork 330.4 (330.4) <6e1a01b50c14cf720e067ea018c4e4ad> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x968da000 - 0x96c07ffb  com.apple.QuickTime 7.5.0 (861) <62b9ecae4fb583bf9e989f526f6f8014> /System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x96c08000 - 0x96c33ff7  libauto.dylib ??? (???) <b3a3a4b0f09653bd6d58f1847922b533> /usr/lib/libauto.dylib
0x96c34000 - 0x96e1affb  com.apple.security 5.0.4 (34102) <9a5739b5b522f963b320fd71581b9cf5> /System/Library/Frameworks/Security.framework/Versions/A/Security
0x96e1b000 - 0x96eeefff  com.apple.CoreServices.OSServices 226.5 (226.5) <50a4f7fe2d6078971f9ef6fc88cc5d2b> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x96eef000 - 0x97014ffb  com.apple.CoreFoundation 6.5.3 (476.14) <56add4656a227fa699f8aa1427b369d9> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0xfffec000 - 0xfffeffff  libobjc.A.dylib ??? (???) /usr/lib/libobjc.A.dylib
0xffff8000 - 0xffff9703  libSystem.B.dylib ??? (???) /usr/lib/libSystem.B.dylib

Model: PowerMac7,3, BootROM 5.1.8f7, 2 processors, PowerPC G5  (3.0), 2.5 GHz, 2 GB
Graphics: kHW_ATIrv360Item, ATY,RV360, spdisplays_agp_device, 128 MB
Memory Module: DIMM0/J11, 512 MB, DDR SDRAM, PC3200U-30330
Memory Module: DIMM1/J12, 512 MB, DDR SDRAM, PC3200U-30330
Memory Module: DIMM2/J13, 512 MB, DDR SDRAM, PC3200U-30330
Memory Module: DIMM3/J14, 512 MB, DDR SDRAM, PC3200U-30330
Modem: Jump, V.92, Version 1.0
Network Service: Built-in Ethernet, Ethernet, en0
Serial ATA Device: Maxtor 7Y250M0, 233.76 GB
Serial ATA Device: Maxtor 6Y160M0, 152.67 GB
Parallel ATA Device: HL-DT-ST DVD-RW GWA-4082B
USB Device: hub_device, high_speed, 500 mA
USB Device: Apple Optical USB Mouse, Primax Electronics, low_speed, 500 mA
USB Device: Keyboard Hub, Apple, Inc., high_speed, 500 mA
USB Device: Apple Keyboard, Apple, Inc, low_speed, 100 mA
USB Device: Apple Cinema HD Display, low_speed, 500 mA
USB Device: hub_device, high_speed, 500 mA
USB Device: iPhone, Apple Inc., high_speed, 500 mA
USB Device: HP Scanjet 5400C Series, Hewlett-Packard, full_speed, 500 mA
USB Device: photosmart 7900 series, hp, full_speed, 500 mA
USB Device: USB Headset, GENERIC, full_speed, 500 mA
USB Device: Back-UPS RS 1500 FW:8.g9 .D USB FW:g9, American Power Conversion, low_speed, 500 mA
FireWire Device: iSight, Apple Computer, Inc., 200mbit_speed
FireWire Device: unknown_device, unknown_value, unknown_speed
Comment 1 Mark Rowe (bdash) 2008-07-05 23:47:53 PDT
I don't think any WebKit developers have MediaTemple accounts which makes tracking down the issue a little bit trickier.  The more information we can get about the crash and when it started occurring, the easier it will be to fix.  Would it be possible for you to try a few older nightly builds to try and narrow down roughly when the crash started happening?  
Comment 2 Mark Rowe (bdash) 2008-07-05 23:48:34 PDT
<rdar://problem/6056136>
Comment 3 Deirdre Saoirse Moen 2008-07-06 01:03:52 PDT
Does this happen with all non-Adobe/Macromedia third-party extensions removed? (e.g., com.stclairsoft.DefaultFolderX, com.yousoftware.youhelper, com.unmarked.textsoap.osax, URIEscapeOSAX, com.satimage.Numerics et al, SmartWrap, Cocoa Patcher, com.ioxperts.vdig.webcam)
Comment 4 Craig W. Cadwallader 2008-07-06 02:37:51 PDT
Created attachment 22102 [details]
A copy of html code of page that crashes WebKit when loading
Comment 5 Craig W. Cadwallader 2008-07-06 02:38:58 PDT
Created attachment 22103 [details]
Crash report for WebKit r35024 - same issue with newer build
Comment 6 Craig W. Cadwallader 2008-07-06 02:41:46 PDT
I can try removing all the third-party extensions listed. However, these have been in use for some time without apparent problems, and Safari Version 3.1.2 (5525.20.1) does not crash under identical circumstances with these extensions installed. I'll try removing them regardless.

(In reply to comment #3)
> Does this happen with all non-Adobe/Macromedia third-party extensions removed?
> (e.g., com.stclairsoft.DefaultFolderX, com.yousoftware.youhelper,
> com.unmarked.textsoap.osax, URIEscapeOSAX, com.satimage.Numerics et al,
> SmartWrap, Cocoa Patcher, com.ioxperts.vdig.webcam)
> 

Comment 7 Craig W. Cadwallader 2008-07-06 02:55:30 PDT
Created attachment 22104 [details]
Crash report for WebKit r34944 - appears to be same problem
Comment 8 Craig W. Cadwallader 2008-07-06 02:57:55 PDT
r34944 crashes, but r34798 does not crash - I'll move forward from r34798 to find the first version that starts crashing...

(In reply to comment #1)
> I don't think any WebKit developers have MediaTemple accounts which makes
> tracking down the issue a little bit trickier.  The more information we can get
> about the crash and when it started occurring, the easier it will be to fix. 
> Would it be possible for you to try a few older nightly builds to try and
> narrow down roughly when the crash started happening?  
> 

Comment 9 Craig W. Cadwallader 2008-07-06 09:29:02 PDT
Created attachment 22110 [details]
WebKit r34941 crash report - apparently the same problem as r34944 & r35024

r34822 and r34824 did not crash when logging in to mediatemple.net, so it now appears that this problem started with the r34941 build.
Comment 10 Craig W. Cadwallader 2008-07-06 09:33:14 PDT
I tested the various earlier nightly builds and it appears that this problem started with the July 2nd r34941 build. Builds r34798, r34822, and r34824 do not crash when I tested these per your suggestion.

(In reply to comment #1)
> I don't think any WebKit developers have MediaTemple accounts which makes
> tracking down the issue a little bit trickier.  The more information we can get
> about the crash and when it started occurring, the easier it will be to fix. 
> Would it be possible for you to try a few older nightly builds to try and
> narrow down roughly when the crash started happening?  
> 
Comment 11 Deirdre Saoirse Moen 2008-07-06 09:34:29 PDT
Craig, please remove all third-party add-ins, then see if the crash reproduces.
Comment 12 Craig W. Cadwallader 2008-07-06 11:00:56 PDT
Created attachment 22111 [details]
WebKit r35024 crash with third-party add-ins removed
Comment 13 Craig W. Cadwallader 2008-07-06 11:06:04 PDT
Deirdre, I tried r35024 again without the third-party add-ins you listed on a "secondary" drive (the "primary" drive which produced the previously reported problems crashed on re-boot and I had to do an "archive and install" to restore functionality). Since the "secondary" drive is not set up identically to the "primary" drive, I'll remove the add-ins from the "primary" and try again to reduce any possible other variables from influencing the results. I'll post those results shortly.

(In reply to comment #11)
> Craig, please remove all third-party add-ins, then see if the crash reproduces.
> 
Comment 14 Craig W. Cadwallader 2008-07-06 11:49:03 PDT
Created attachment 22113 [details]
WebKit r34941 crash without third-party add-ins

WebKit r34941 crash report (#2) with "(e.g., com.stclairsoft.DefaultFolderX, com.yousoftware.youhelper, com.unmarked.textsoap.osax, URIEscapeOSAX, com.satimage.Numerics et al, SmartWrap, Cocoa Patcher, com.ioxperts.vdig.webcam)" removed
Comment 15 Craig W. Cadwallader 2008-07-06 13:23:08 PDT
Created attachment 22115 [details]
WebKit r34944 crash report without third-party add-ins
Comment 16 Craig W. Cadwallader 2008-07-06 13:24:06 PDT
Created attachment 22116 [details]
WebKit r35021 crash report without third-party add-ins
Comment 17 Craig W. Cadwallader 2008-07-06 13:25:04 PDT
Created attachment 22117 [details]
WebKit r35024 crash report without third-party add-ins
Comment 18 Craig W. Cadwallader 2008-07-06 13:33:35 PDT
If it will help, I will set up a log in to one of my MediaTemple hosting accounts and make it available to WebKit developers provided the User ID/Password is kept confidential and not posted publicly. Please let me know if you'd like me to provide this capability.

(In reply to comment #1)
> I don't think any WebKit developers have MediaTemple accounts which makes
> tracking down the issue a little bit trickier.  The more information we can get
> about the crash and when it started occurring, the easier it will be to fix. 
> Would it be possible for you to try a few older nightly builds to try and
> narrow down roughly when the crash started happening?  
> 
Comment 19 Mark Rowe (bdash) 2008-07-07 06:59:40 PDT
Craig, thanks for the crash logs.  I don't think we'll be needing any more of those at this point :-)  I would appreciate if you could set up account like you described so that we can reproduce the problem directly.  Feel free to email the details of it to me.
Comment 20 Mark Rowe (bdash) 2008-07-07 07:51:32 PDT
Based on the backtrace and disassembly, it looks like convertValueToNPVariant has been called with a null "value" argument.  This implies that the line "JSValue* resultV = call(exec, function, callType, callData, obj->imp, argList);" inside _NPN_Invoke is returning null.
Comment 21 Mark Rowe (bdash) 2008-07-07 07:56:04 PDT
One change that could be relevant to this and falls in the range is <http://trac.webkit.org/changeset/34866>.
Comment 22 Cameron Zwarich (cpst) 2008-07-07 10:48:33 PDT
If I can reproduce this, then I can likely fix it. This also seems very similar to bug 19926, but they don't occur in the exact same place.
Comment 23 Craig W. Cadwallader 2008-07-07 11:29:58 PDT
Mark, I set up a log in for you and have emailed the details to mrowe@apple.com. I hope this helps.

(In reply to comment #19)
> Craig, thanks for the crash logs.  I don't think we'll be needing any more of
> those at this point :-)  I would appreciate if you could set up account like
> you described so that we can reproduce the problem directly.  Feel free to
> email the details of it to me.
> 
Comment 24 Craig W. Cadwallader 2008-07-07 12:03:42 PDT
Cameron and All -Sorry about pasting the full stack trace in the bug report and "over-attaching" crash reports to this bug - won't do this again (wasn't thinking, need more sleep, didn't read all the "good reporting practices" posts). Any way I can edit this down? :-(

(In reply to comment #22)
> If I can reproduce this, then I can likely fix it. This also seems very similar
> to bug 19926, but they don't occur in the exact same place.
> 

Comment 25 Mark Rowe (bdash) 2008-07-07 12:07:38 PDT
Craig, it's just something to keep in mind for any future reports.  There's not much that can be done about existing ones, and it's not really a big problem.
Comment 26 Deirdre Saoirse Moen 2008-07-07 12:24:35 PDT
Craig, thanks for the updates.
Comment 27 Cameron Zwarich (cpst) 2008-07-07 15:25:55 PDT
Created attachment 22141 [details]
Proposed patch

Here's a patch that fixes the problem. We made NPN_SetException a no-op in order to fix bug 19853, but an exception could also be set from JavaScript code itself. Clearing exceptions after calling out to JavaScript code seems to be the only fix besides properly implementing exceptions in the Netscape plugin API. If we checked for an exception in Machine::execute() and returned jsNull() if one was set, then we would probably be breaking a lot of legitimate calls to JavaScript. The only case this will change is where JavaScript calls out to the Netscape plugin API, and the Netscape plugin executes a single reentrant call to JavaScript and then returns (a second call would cause a crash, just like in this bug). In that case, there may currently be an exception returned that is now missed with this patch.
Comment 28 Cameron Zwarich (cpst) 2008-07-07 15:35:32 PDT
Mark pointed out that the NPAPI documentation suggests that the return value of any of these functions should be false if the call does not succeed, instead of true. I will try to make a TestPlugin test case to determine what Mozilla actually does. Either way, we likely want to clear it before returning.
Comment 29 Geoffrey Garen 2008-07-07 15:59:42 PDT
You also need to patch NPN_SetProperty, NPN_RemoveProperty, NPN_HasProperty, NPN_HasMethod, and NPN_Enumerate.

(I believe that enumerate and has* can't throw, but I'm not sure, so let's be safe rather than sorry.)
Comment 30 Geoffrey Garen 2008-07-07 16:00:17 PDT
Comment on attachment 22141 [details]
Proposed patch

r- for now -- based on above comments.
Comment 31 Cameron Zwarich (cpst) 2008-07-07 16:21:01 PDT
Created attachment 22142 [details]
Revised proposed patch

This patch incorporates Geoff's comments. I thought it also fixed bug 19926, but it just makes it harder to reproduce. There are two different stack traces there, and one of them seems to be this bug, but the other is different.
Comment 32 Geoffrey Garen 2008-07-07 16:27:56 PDT
Comment on attachment 22142 [details]
Revised proposed patch

Cameron mentioned on IRC that he would file a separate bug to address Mark's comment.

I think the ChangeLog could be a little clearer. i would say something like, "Clear the exception after invoking an NPAPI callback, to prevent it from short-circuiting the next script that executes. FIXME: Find a way to return this exception information through the NPAPI. See http..."
Comment 33 Cameron Zwarich (cpst) 2008-07-07 16:54:32 PDT
Landed in r35049. Bug 19936 was created to investigate Mark's comment.
Comment 34 Matt Lilek 2008-07-08 16:51:20 PDT
*** Bug 19953 has been marked as a duplicate of this bug. ***